%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define gtg_milestone 0.2

Name:           gtg
Version:        0.2.4
Release:        3%{?dist}
Summary:        Personal organizer for the GNOME desktop

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://gtg.fritalk.com
BuildArch:      noarch
Source0:        http://launchpad.net/%{name}/%{gtg_milestone}/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# Alternative way of testing for X, does not bring additional dependencies
Patch0:         gtg-0.2.4-tryX.patch
# lp bug 537885
# http://bazaar.launchpad.net/~gtg/gtg/trunk/revision/714 , 
# avoids "RuntimeError: not holding the import lock" with recent pythons
Patch1:         gtg-0.2.4-714.patch

BuildRequires:  python-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  pyxdg
Requires:       pygtk2 pygtk2-libglade python-configobj pyxdg pycairo gnome-python2-gnome
Requires:       dbus-python

%description
Getting Things GNOME! (GTG) is a personal organizer for the GNOME desktop
environment inspired by the Getting Things Done (GTD) methodology. GTG is
designed with flexibility, adaptability, and ease of use in mind so it can be
used as more than just GTD software.


%prep
%setup -q
%patch0 -p0 -b .tryX
%patch1 -p0 -b .714
sed -i -e "s|#!/usr/bin/env python||" GTG/gtg.py


%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG LICENSE README
%{_bindir}/gtg
%{_bindir}/gtg_new_task
%{_datadir}/dbus-1/services/org.GTG.service
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{python_sitelib}/*
%{_mandir}/man1/*.1.gz


%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 10 2010 Yanko Kaneti <yaneti@declera.com> 0.2.4-2
- Avoid "RuntimeError: not holding the import lock" with recent pythons, from upstream
- Alternative X test, avoiding the xorg-x11-utils dependency
- Requires dbus-python

* Sun Apr 11 2010 Yanko Kaneti <yaneti@declera.com> 0.2.4-1
- New bugfix release from upstream

* Mon Mar  4 2010 Yanko Kaneti <yaneti@declera.com> 0.2.3-1
- "A bit of polishing." - from upstream

* Mon Mar  1 2010 Yanko Kaneti <yaneti@declera.com> 0.2.2-1
- New upstream release.
  http://gtg.fritalk.com/post/2010/03/01/Getting-Things-GNOME!-0.2.2-(Protector)-release-is-out!

* Fri Feb 19 2010 Yanko Kaneti <yaneti@declera.com> 0.2.1-3
- Fixup the last fixup. Again preventing crash on startup.

* Sun Feb 14 2010 Yanko Kaneti <yaneti@declera.com> 0.2.1-2
- Pull upstream fix for bug 565224. Prevents crash on startup

* Sun Jan 31 2010 Yanko Kaneti <yaneti@declera.com> 0.2.1-1
- Upstream bugfix release

* Sun Jan 31 2010 Yanko Kaneti <yaneti@declera.com> 0.2-3
- Pull an upstream fix for missing tomboy.ui - bug 560316

* Mon Dec 14 2009 Yanko Kaneti <yaneti@declera.com> 0.2-2
- 0.2 final.
  http://gtg.fritalk.com/post/2009/12/10/The-new-Getting-Things-GNOME!-0.2-Gorignak-has-landed!

* Thu Dec  3 2009 Yanko Kaneti <yaneti@declera.com> 0.1.9-1
- 0.2 beta.
  http://gtg.fritalk.com/post/2009/12/02/Getting-Things-GNOME!-0.1.9-is-out!
- Remove some no longer necessary patching
- BR: pyxdg

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Yanko Kaneti <yaneti@declera.com> 0.1.2-3
- Use %%{__python} instead of python

* Mon Jul 13 2009 Yanko Kaneti <yaneti@declera.com> 0.1.2-2
- Implement review feedback
  https://bugzilla.redhat.com/show_bug.cgi?id=510994#c1

* Mon Jul 13 2009 Yanko Kaneti <yaneti@declera.com> 0.1.2-1
- Initial packaging
